Get a service's endpoints

View as Markdown
Get a list of observed API endpoints for a service and its performance metrics.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

serviceIdstringRequired
The service's ID.

Query parameters

systemEnvironmentIdstringRequired
The system environment's ID.
httpMethodsstringOptionalformat: "^(GET|POST|PUT|PATCH|DELETE|HEAD|OPTIONS|TRACE)(,(GET|POST|PUT|PATCH|DELETE|HEAD|OPTIONS|TRACE))*$"

A.comma-separated list of HTTP methods to filter the results by.

hostsstringOptionalformat: "^[^,]+(,[^,]+)*$"

A comma-separated list of hostnames to filter the results by.

responseCodesstringOptionalformat: "^\\d{3}(,\\d{3})*$"

A comma-separated list of HTTP status codes to filter the results by.

searchstringOptional<=500 characters
Filter results to the search filter given on the endpoint's path.
sortstringOptionalformat: "^(count|endpoint|p95LatencyMs|errorRate):(asc|desc)$"

Sort the results in field:direction order format. Accepts the count, endpoint, p95LatencyMs, and errorRate fields. Supports the asc and desc directions.

limitintegerOptional1-100Defaults to 20
The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

Response

Successful Response
metaobject
The response's meta information for paginated results.
datalist of objects
A list of observed API endpoints with traffic and performance metrics.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error